<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<?php /*<META http-equiv=refresh content=10>*/ ?>
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
</head>
<style type="text/css" media="print">
.nover {display:none}
</style>
<BODY onLoad="self.focus();" onBlur="self.focus();">
<?php

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");

include "../conexion.php";
$id=$_REQUEST["id"];
$nofactura=$_REQUEST["id"];
$empresa=$_REQUEST["empresa"];
$fechaf=$_REQUEST["fecha"];

date_default_timezone_set('America/Bogota');
$horasis=date("H:i:s");
$fechasis=date("Y-m-d");

$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,lema,nombrefactura,nit,resolucion,mensajefactura,email,fechainicio,fechafin,
                                    noinicio,nofin,maquina,responsable,administrador,prefijofact,vigencia,digito,fe
			 from parametros");
while($datosrs= mysqli_fetch_row($sql_contar))
 { 
  $nombre=$datosrs[0];
  $direccion=$datosrs[1];
  $telefono=$datosrs[2];
  $lema=$datosrs[3];
  $nombrefactura=$datosrs[4];
  $nit=$datosrs[5];
  $resolucion=$datosrs[6];
  $mensajefactura=$datosrs[7];
  $eemail=$datosrs[8];  
  $inicio=$datosrs[9];
  $fin=$datosrs[10];
  $noinicio=$datosrs[11];
  $nofin=$datosrs[12];
  $maquina=$datosrs[13];
  $responsable=$datosrs[14];
  $administrador=$datosrs[15];
  $prefijofact=$datosrs[16];
  $vigencia=$datosrs[17];
  $digito=$datosrs[18];
  $feventa=$datosrs[19];
 }



if($fechaf<='2025-12-14'){$campofe="factura";}

else {$campofe="factura";}



$sql_contar=mysqli_query($conexion,"SELECT fecha,cliente,hora,usuario,cufe,fe from venta where $campofe='".$id."'");
while($datosrs= mysqli_fetch_row($sql_contar))
 { 
   $fecha=$datosrs[0];
  $cliente=$datosrs[1];
  $hora=$datosrs[2];
  $usuario=$datosrs[3];
  $cufe=$datosrs[4];
  $feventa=$datosrs[5];
  
  include "../seguridad.php";
   $sql_datosuser = mysqli_query($conseg,"SELECT nombre,apellido  FROM usuario where login='".$usuario."'");
   while($datosrs= mysqli_fetch_row($sql_datosuser)){ $cajero=$datosrs[0]." ".$datosrs[1];}
 include "../conexion.php";
 }



if(isset($_REQUEST["oculto"]))
{ 
	$id=$_REQUEST["id"];   
	$cliente=$_REQUEST["cliente"];  
	
	if($_REQUEST["Ocliente"]==1)
	{
	    $sql_insert=mysqli_query($conexion,"update venta  set cliente='".$cliente."' where $campofe='".$id."'");
		if($sql_insert)
			{
			   echo "<script>";   echo "alert('Cliente Actualizado')"; echo "</script>";
			  // $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar from cliente where id='".$cliente."'");
			}	
	}	
}

$sql_contar=mysqli_query($conexion,"SELECT count(*) as contar from cliente where id='".$cliente."'");
while($datosrs= mysqli_fetch_row($sql_contar)){ $contar=$datosrs[0];}
if($contar>=1)
{
	$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,documento from cliente where id='".$cliente."'");
	while($datosrs= mysqli_fetch_row($sql_contar))
	{ 
	  $nombrec=$datosrs[0];
	  $direccionc=$datosrs[1];
	  $telefonoc=$datosrs[2];
	  $documentoc=$datosrs[3];
	 }

}

else{$nombrec="";$direccionc="";$telefonoc="";$documentoc="";}



?>

<form name="parametros" method="post" action="" >

<center>

<?php
if($feventa>0){$nfeventa="Factura de Venta"; }
else {$nfeventa="Remision"; $prefijofact="";}

     echo "<img src='../imagenes/logocliente.png' alt='SIVI' width='20% height='20%'>";


?>

<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr><td align="center" ><strong><?php echo $nombre; ?></strong></td></tr>  
  <tr><td align="center" ><strong><?php echo $administrador; ?></strong></td></tr>  
  <tr><td align="center" ><strong>NIT: <?php echo $nit."-".$digito; ?></strong></td></tr>  
  <tr><td align="center" ><strong><?php echo $direccion; ?> / <?php echo $telefono; ?></strong></td></tr>
  <tr><td align="center" ><strong><?php echo $eemail; ?></strong></td></tr>
  <tr><td align="center" ><strong><?php echo $responsable; ?></strong></td></tr>
</table>

<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:13px" >
  <tr> <td align="center" ><strong><?php echo $mensajefactura; ?></strong></td></tr>
</table>

<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr> <td align="left" ><strong>
  <?php 
      if($feventa>0){ echo $nfeventa." No: $prefijofact ".$feventa; }
      else { echo $nfeventa.": No:".$id; }
     
  ?>
  </strong></td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr> <td align="left" ><strong><?php echo "Fecha: ".$fecha." Hora: ".$hora; ?> </strong></td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr> <td align="left" ><strong><?php echo "Maquina: ".strtoupper($maquina); ?> </strong></td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr> <td align="left" ><strong><?php echo "Atendido Por: ".strtoupper($cajero); ?> </strong></td></tr>
</table>
</center>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px" >
  <tr> <td ><strong><?php echo "Cliente:".strtoupper($nombrec)."<br>CC y/o Nit: $documentoc"; ?></strong> </td></tr>
</table><br>

	  <?php

       if($id<>"")

       {

            echo "<table width='95%' border='0' cellpadding='2' cellspacing='2' style='font-size:11px'>";

            echo "<tr>

                                  <td colspan='2' align='center'><strong>PRODUCTO</strong></td>

                                  <td align='center'><strong>CANT</strong></td>

                                  <td align='center'><strong>PRECIO</strong></td>											  

                                  <td align='center'><strong>TOTAL</strong></td>											 										

                            </tr>";

							$sumadesc=0;$entrodesc=0;$sumaST=0;

			 $sql_datos=mysqli_query($conexion,"SELECT id,producto,cantidad,precio,fecsis,usuario,estado,iva,descuentop,pagocon,cambio,tipopago,preciosiniva,totaliva,preciovende from venta

                                     where $campofe='".$id."'");

                $c=1;	$sumaiva=0; $sumag=0;	$sumaI=0;			 

               while ($datos= mysqli_fetch_row($sql_datos))//04e

                  { 

                    $idi=$datos[0];

                    $producto=$datos[1];

                    $cantidad=$datos[2];

                    $precio=$datos[3];									

                    $fecsis=$datos[4];

                    $usuario=$datos[5];

                    $estado=$datos[6];

				 	$iva=$datos[7];

					$descuentop=$datos[8];

					$pagocon=$datos[9];

					$cambio=$datos[10];

					$tipopago=$datos[11];

					$preciosiniva=$datos[12];

					$totaliva=$datos[13];

					$preciovende=$datos[14];

					

					$vriva=$precio-$preciovende;

					$toiva=$vriva*$cantidad;

                    

                     $sql_datospro =mysqli_query($conexion,"select nombre,descripcion,paqueteunidad,iva,codigobarra from producto where id='".$producto."'");

                     while($datosrs= mysqli_fetch_row($sql_datospro))

                       { $nproducto=$datosrs[0]; $descripcion=$datosrs[1]; $paqueteunidad=$datosrs[2];  $iva=$datosrs[3]; $codigobarra=$datosrs[4];

                       }

                    

                     

                     if($estado=='F')

                        {

                        

                         $sumadesc=$sumadesc+$descuentop;

                         if($fechaf<='2025-03-09')

                         {$totalprecioprodcuto=$precio*$cantidad;

                          $toiva=0;

                          echo "<tr>

                                  <td><strong>$codigobarra</strong></td>

								  <td><strong>$nproducto</strong></td>

                                  <td align='center'><strong>$cantidad</strong></td>

                                  <td align='right'><strong>".number_format($precio,2)."</strong></td>											  

                                  <td align='right'><strong>".number_format($totalprecioprodcuto,2)."</strong></td>											 										

                            </tr>";

                         }

                         else

                         {  $totalprecioprodcuto=$preciovende*$cantidad;

                             echo "<tr>

                                  <td><strong>$codigobarra</strong></td>

								  <td><strong>$nproducto</strong></td>

                                  <td align='center'><strong>$cantidad</strong></td>

                                  <td align='right'><strong>".number_format($preciovende,2)."</strong></td>											  

                                  <td align='right'><strong>".number_format($totalprecioprodcuto,2)."</strong></td>											 										

                            </tr>"; 

                         }

                       

                        if($descuentop>0)    

                           { $entrodesc=1;

                               echo "<tr>

                                  <td colspan='5' align='center'><strong>Descuento= ".number_format($descuentop,2)."</strong></td>

                                </tr>";

                           }

                            

							

                            $c=$c+1;

                            if($estado<>'I')

                              {

                                $sumaST=$sumaST+$totalprecioprodcuto;  

                                $sumag=$sumag+$totalprecioprodcuto;

                                $sumaiva=$sumaiva+$toiva;

                              }

                         }	

                            

                  }	//04

                 

				//verificamos descuentos

				$pordescuento=0;$descuento=0;

				 $sql_descuento=mysqli_query($conexion,"select pordescuento,descuento,neto from venta_descuento where factura='".$id."'");

				 while($datosrs= mysqli_fetch_row($sql_descuento))

				   { $pordescuento=$datosrs[0]; $descuento=$datosrs[1];  $netopago=$datosrs[2]; 

				   } 

				 if($pordescuento>0)

				 

				  $netop=$sumag-$sumadesc;

				  $pagar=$sumag+$sumaiva-$sumadesc;

				 

				 

				 	 $sql_datos=mysqli_query($conexion,"SELECT pagocon,cambio from venta  where $campofe='".$id."'");

				 ///	 echo "SELECT pagocon,cambio from venta  where $campofe='".$id."'";

               while ($datos= mysqli_fetch_row($sql_datos))//04e

                  { 

					$pagocon=$datos[0];

					$cambio=$datos[1];

                }

				 

				    echo "<tr>

                            <td colspan='4' align='right'><strong>SUBTOTAL</strong></font></td>		

						    <td align='right'><strong>".number_format($sumaST,2)."</strong></td>								 

                                </tr>";

                     if($entrodesc==1)

                        {

                        echo "<tr>

                            <td colspan='4' align='right'><strong>DESCUENTO</strong></font></td>		

						    <td align='right'><strong>".number_format($sumadesc,2)."</strong></td>								 

                                </tr>";

                        }       

                      echo "<tr>

                                  <td colspan='4' align='right'><strong>IVA</strong></td>											

                                  <td align='right'><strong>".number_format($sumaiva,2)."</strong></td>											

                                </tr>";		  

                      echo "<tr>

                                  <td colspan='4' align='right'><strong>TOTAL A PAGAR</strong></td>											

                                  <td align='right'><strong>".number_format($pagar,2)."</strong></td>											

                                </tr>";		

                       echo "<tr>

                                  <td colspan='4' align='right'><strong>PAGO CON</strong></td>											

                                  <td align='right'><strong>".number_format($pagocon,2)."</strong></td>											

                                </tr>";	

                       echo "<tr>

                                  <td colspan='4' align='right'><strong>CAMBIO</strong></td>											

                                  <td align='right'><strong>";

                                  

                                  if($tipopago=='CR'){echo 0;}

                                  else

                                  {

                                   echo number_format($cambio,0);

                                   } 

                                

                                 echo "</strong></td>											

                                </tr>";	            

                echo "</table>";					

		  

		   

		   

		    include "letras.php";

		  

		   $numero=$pagar;

           $totalletra=convertir($numero);

           

           $sumaitems=0;

            $sql_totpro=mysqli_query($conexion,"select producto,sum(cantidad) from venta where $campofe='".$id."' and estado='F' and empresa='".$empresa."' group by producto");

            while($datosrs= mysqli_fetch_row($sql_totpro))

            {   

            $sumaitems=$sumaitems+1;

            } 

            

            $sumapro=0;

            $sql_totpro=mysqli_query($conexion,"select producto,sum(cantidad) from venta where $campofe='".$id."' and estado='F' and empresa='".$empresa."' group by producto");

            while($datosrs= mysqli_fetch_row($sql_totpro))

            { 

            $totpro=$datosrs[1];  

            $sumapro=$sumapro+$totpro;

            } 

           

          

		   echo "<div  style='font-size:11px' >SON: ".$totalletra."</div>";

		    echo "<div  style='font-size:11px' >TOTAL ITEMS: ".$sumaitems."</div>";		   

		   echo "<div  style='font-size:11px' >TOTAL PRODUCTOS: ".$sumapro."</div>";

		   

		   //verificamos si es venta a credito

		    $sql_descuento=mysqli_query($conexion,"select count(*) from credito where factura='".$id."'");

			 while($datosrs= mysqli_fetch_row($sql_descuento))

				   { $contar=$datosrs[0]; 

				   } 

			if($contar>=1)

			  {

				 $sql_descuento=mysqli_query($conexion,"select valor from credito where factura='".$id."'");

			 	while($datosrs= mysqli_fetch_row($sql_descuento))

				   { $vrcredito=$datosrs[0]; 

				   } 



				?>

                 <BR><BR><table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:11px"  >

                  <tr> <td align="center"><strong>VENTA CREDITO: <?php echo number_format($vrcredito); ?></strong></td></tr>

                </table><br>

                <?php  

			 }	   

		   

		  

		   

           }

       ?>



 <table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:11px"  >

  <tr> <td align="center" ><strong>GRACIAS POR SU COMPRA</strong></td></tr>

  <tr> <td align="center"><strong>TIQUETE ORIGINAL</strong></td></tr>

</table><br>



<?php

include "../conexion.php";



    $cufe="";

     $sql_cufe=mysqli_query($conexion,"select cufe,fe from venta where $campofe='".$nofactura."'");

     while($datoscufe= mysqli_fetch_row($sql_cufe))   {   $cufe=$datoscufe[0]; $fe=$datoscufe[1]; }

     $nombreimagen=$fe . '.png';

?>





<?php

          if($cufe<>"")

          {

              $lencufe=strlen($cufe);

              $p1=substr($cufe,0,48);

              $p2=substr($cufe,49,$lencufe);

              

                ?>

               <br>

              

              <?php

          }


/*

*/
  ?>

<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px" >

   <tr>

       <td align="justify" >


      <strong>Aut. DIAN <?php echo $resolucion; ?> de <?php echo $inicio; ?> habilitada de  <?php echo $prefijofact."-".$noinicio; ?> al <?php echo $prefijofact."-".$nofin; ?> vigencia <?php echo $vigencia; ?> hasta <?php echo $fin; ?></strong></td>

    </tr>

    <tr>

        <td align='center' style="font-size:12px"><?php echo $p1."<br>".$p2; ?></td>

    </tr>

    <tr>

        <td align='center'>

         <?php

         if($cufe<>"")

          {
              //echo $prefijofact.$nombreimagen;

          ?>

            <img src='../fe/factura/<?php echo $prefijofact.$nombreimagen; ?>' width='40%'>

         <?php

         

          }

         ?>    

            </td>

            

    </tr>

 </table>




 <BR>

      <center>

    

  

<BR>      

     

        <input name='imprime' type='button'  id='imprime' value='Imprime'   class="nover"  title="Clic para ver reporte"  onClick="window.print();" >

        <input name='cerrar' type='button'  id='cerrar' value='Cerrar'   class="nover"  title="Clic para ver reporte"  onClick="window.close();" >

        

        <?php

          if($cufe<>""){}

          else

          {

            if($fecha>='2025-12-15')
            {
              

        ?>      

        <input name='FE' type='button'  id='FE' value='Genera FE'   class="nover"  

         onClick="javascript:window.open('../fe/fe.php?factura=<?php echo $nofactura; ?>','FE','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=400,height=500');" >

        <?php

            }

          }

        ?>

         <input name="oculto" type="hidden" id="oculto">         



        </center>



<?php





?>        

    

</form>

</body>

</html>
